<div
  class="alert alert-success alert-dismissible fade show"
  role="alert"
  style="width: 25%; margin-bottom: -35px; margin-left: 76%"
  *ngIf="profileModified"
>
  Les modifications ont été opérées avec<strong> succès !</strong>
  <button
    type="button"
    class="btn-close"
    data-bs-dismiss="alert"
    aria-label="Close"
  ></button>
</div>

<div
  class="alert alert-danger alert-dismissible fade show"
  role="alert"
  style="width: 25%; margin-bottom: -35px; margin-left: 76%"
  *ngIf="errorHappened"
>
  <strong>Oops ! </strong> Quelque chose a mal tourné !
  <button
    type="button"
    class="btn-close"
    data-bs-dismiss="alert"
    aria-label="Close"
  ></button>
</div>

<div class="container">
  <div class="row justify-content-center">
    <div class="col-12 col-lg-10 col-xl-8 mx-auto">
      <h2 class="h3 mb-4 page-title">Mon Compte</h2>
      <div class="my-4">
        <form [formGroup]="formGroup" (ngSubmit)="updateProcess()">
          <hr class="my-4" />
          <div
            class="alert alert-info alert-dismissible d-flex align-items-center fade show"
            *ngIf="!isConfirmed"
          >
            <i class="bi-info-circle-fill"></i>
            <strong class="mx-2">Info !</strong> votre compte n'est pas encore
            confirmé, merci de connecter votre admin.
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="alert"
            ></button>
          </div>

          <div class="form-row">
            <div class="form-group col-md-6">
              <label for="firstname">Nom</label>
              <input
                type="text"
                id="first_name"
                class="form-control"
                placeholder="nom.."
                formControlName="firstName"
              />
            </div>
            <div class="form-group col-md-6">
              <label for="lastname">Prénom</label>
              <input
                type="text"
                id="last_name"
                class="form-control"
                placeholder="prénom.."
                formControlName="lastName"
              />
            </div>
          </div>
          <div class="form-group">
            <label for="inputEmail4">Email</label>
            <input
              type="email"
              class="form-control"
              id="inputEmail4"
              placeholder="email..."
              formControlName="email"
              (blur)="uniquenessCheckEmail()"
              [ngStyle]="inputStyle"
            />
            <span
              *ngIf="entityExist && formGroup.value.email.length > 0"
              style="color: brown; margin-left: 5px; margin-top: 8px"
            >
              Cette adresse e-mail est déjà <strong>utilisée !</strong>
            </span>
            <span
              *ngIf="entityEmpty"
              style="color: brown; margin-left: 5px; margin-top: 8px"
            >
              <i> * ce champ ne peut pas être vide !</i>
            </span>
          </div>
          <div class="form-group col-md-6" style="margin-left: -15px">
            <label>Nom d'utilisateur</label>
            <input
              type="text"
              id="username"
              class="form-control"
              placeholder="nom d'utilisateur.."
              formControlName="username"
              (blur)="uniquenessCheckUsername()"
              [ngStyle]="inputStyle2"
            />
            <span
              *ngIf="entityExist2 && formGroup.value.username.length > 0"
              style="color: brown; margin-left: 5px; margin-top: 8px"
            >
              ce nom d'utilisateur est déjà <strong>utilisé !</strong>
            </span>
            <span
              *ngIf="entityEmpty2"
              style="color: brown; margin-left: 5px; margin-top: 8px"
            >
              <i> * ce champ ne peut pas être vide !</i>
            </span>
          </div>
          <button
            type="submit"
            class="btn btn-primary"
            style="margin-left: 10px; margin-top: 10px"
          >
            Sauvegarder
          </button>
        </form>
        <button
          class="btn btn-primary"
          style="margin-left: 120px; margin-top: -60px"
          (click)="resetForm()"
        >
          Annuler
        </button>

        <!--Update Password here-->
        <hr class="my-4" />
        <div
          *ngIf="updatePasswordFailure"
          class="alert alert-danger alert-dismissible fade show"
          role="alert"
          style="max-width: 690px"
        >
          <strong>Attention !</strong> veuillez vérifier les informations
          saisies.
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="alert"
            aria-label="Close"
          ></button>
        </div>

        <div
          *ngIf="updatePasswordSuccess"
          class="alert alert-success alert-dismissible fade show"
          role="alert"
          style="max-width: 690px"
        >
          Votre mot de passe a été réinitialisé avec
          <strong>succès !</strong>
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="alert"
            aria-label="Close"
          ></button>
        </div>

        <form [formGroup]="formUpdateGroup" (ngSubmit)="updatePassword()">
          <div class="row mb-4">
            <div class="col-md-6">
              <div class="form-group">
                <!--Old password here-->
                <label>Mot de passe actuel</label>
                <input
                  type="password"
                  class="form-control"
                  id="inputPassword5"
                  formControlName="oldPassword"
                  *ngIf="firstEssay"
                />
                <input
                  type="password"
                  class="form-control is-valid"
                  id="inputPassword5"
                  formControlName="oldPassword"
                  *ngIf="correctOldPassword"
                />
                <input
                  type="password"
                  class="form-control is-invalid"
                  id="inputPassword5"
                  formControlName="oldPassword"
                  *ngIf="!correctOldPassword && !firstEssay"
                />
                <span
                  *ngIf="!correctOldPassword && !firstEssay"
                  style="color: brown; margin-top: 10px; margin-left: 2px"
                  >Mot de passe incorrect, veuillez réessayer.</span
                >
              </div>
              <!--new password here-->
              <div class="form-group">
                <label>Nouveau mot de passe</label>
                <input
                  type="password"
                  class="form-control"
                  formControlName="newPassword"
                  (blur)="checkPasswordValidity()"
                  *ngIf="firstEssay2"
                />
                <input
                  type="password"
                  class="form-control is-valid"
                  (keyup)="checkPasswordValidity()"
                  formControlName="newPassword"
                  *ngIf="isValid"
                />
                <input
                  type="password"
                  class="form-control is-invalid"
                  formControlName="newPassword"
                  (keyup)="checkPasswordValidity()"
                  *ngIf="!isValid && !firstEssay2"
                />
                <span
                  *ngIf="!isValid && !firstEssay2"
                  style="color: brown; margin-top: 10px; margin-left: 2px"
                  >Ce mot de passe ne répond pas aux exigences</span
                >
              </div>

              <!--reset password here-->
              <div class="form-group">
                <label>Confirmation du nouveau mot de passe</label>
                <input
                  type="password"
                  class="form-control"
                  formControlName="twinPassword"
                  (blur)="checkPasswordTwin()"
                  *ngIf="firstEssay3"
                />
                <input
                  type="password"
                  class="form-control is-valid"
                  formControlName="twinPassword"
                  (blur)="checkPasswordTwin()"
                  *ngIf="isTwin"
                />
                <input
                  type="password"
                  class="form-control is-invalid"
                  formControlName="twinPassword"
                  (blur)="checkPasswordTwin()"
                  *ngIf="!isTwin && !firstEssay3"
                />
              </div>
            </div>
            <div class="col-md-6">
              <p class="mb-2">Exigences relatives au mot de passe</p>
              <p class="small text-muted mb-2">
                Pour créer un nouveau mot de passe, vous devez remplir toutes
                les conditions suivantes conditions:
              </p>
              <ul class="small text-muted pl-4 mb-0">
                <li>Minimum 6 caractères</li>
                <li>Au moins un caractère spécial</li>
                <li>Au moins un numéro</li>
                <li>Ne peut pas être le même qu'un mot de passe précédent</li>
              </ul>
            </div>
          </div>
          <button
            type="submit"
            class="btn btn-danger"
            style="margin-left: 10px; margin-top: -15px"
          >
            Réinitialiser le mot de passe
          </button>
        </form>
      </div>
    </div>
  </div>
</div>
